repo/gentoo:master commit in: net-im/talk-desktop-bin/

"Nowa Ammerlaan" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787149199.203b2c098f9c5e4a9ae1b2991f64ca9408a943a1.nowa@gentoo>
commit:     203b2c098f9c5e4a9ae1b2991f64ca9408a943a1
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 14:19:59 2026 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 14:19:59 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=203b2c09

net-im/talk-desktop-bin: add 2.2.4

Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 net-im/talk-desktop-bin/Manifest                   |   1 +
 .../talk-desktop-bin/talk-desktop-bin-2.2.4.ebuild | 102 +++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/net-im/talk-desktop-bin/Manifest b/net-im/talk-desktop-bin/Manifest
index 6af5245cafd2..734089332274 100644
--- a/net-im/talk-desktop-bin/Manifest
+++ b/net-im/talk-desktop-bin/Manifest
@@ -3,4 +3,5 @@ DIST talk-desktop-bin-2.1.2.zip 194295976 BLAKE2B 433a8279c62cc466d6a8b92346c512
 DIST talk-desktop-bin-2.2.0.zip 196723985 BLAKE2B 80b14fba919d96fe81fcd03f0c27812c47599d0095c2748e3729a6f64b3e8fcd8acd5c2e75d62f204744d7b9457488f4a47b4194ff5d57933ffba1ba149c86a9 SHA512 dd5fe5fe80834270e07c084a18193fcba77f00d7fa9eb177e38620aa9f02f15054cb5f42ffc8ff5b3a705b3bb063ce5f19be68ff4f36b4d607a80452ac4b28f9
 DIST talk-desktop-bin-2.2.1.zip 196866905 BLAKE2B 80dd7069ffd237d9bc0aa055bd1b6986bbfba409c88edde0870189ef3a2edddf0114928783ca1c9120cb74d77367bf1fafb39cdcc224b4b65d8d63a5c9b8bf73 SHA512 0546c6d5e23e71bd4f15146d52f4fefd4a8770a9c99883548ea765a41361c554325bb1dadc547c131536dc253d70e0a5843940a55cb6f0bb6a63e487be75dbfc
 DIST talk-desktop-bin-2.2.3.zip 204604188 BLAKE2B 5f4ed55f8ea9f01553fd0cd0364c420437701acf3da035dbc4a26f206c32d9c9feea12a4aaf81b928f487ccbb5f6d882edab6a04a9d084b5ce8643cb6e928627 SHA512 dff25d0185dc1737dfb1ad4a54846c37184a5a788627cfe1ef8ceb821b229f641f52fe391e26ebf08d60f4eebb16a6231c6632b5b4e7272f1a4ac2b700c061fb
+DIST talk-desktop-bin-2.2.4.zip 205364430 BLAKE2B 8c2bfabeb05127ca937fff843092f3d2ab37eb988b171cfbfc4b8d31bf01acf3890b9b9f623b690c4dd0018fd8992dfe2e470aea0361a9a80db7da172a47541f SHA512 4f74f05049fdfe582fec6f24c4842f027ce85f65fd07909835536f6c6c78678a44ba08548a2d9e27637bf7177e7d37f7402078b3c779ceec27e88d7ac7845c61
 DIST talk-desktop-bin-icon.svg 2683 BLAKE2B 42b2d0e520a471f1a70198da3af30972f7a9f9ee8d23edc919970cb1b8a1cdc6e81e88b374bbc3f7d6c023466c688f8763280c5d72e62b7f335e3bf3d746a8bf SHA512 f279bbdc70d7c999abd02eacfe4a2b401e6d5d8e5cf72e3e566e1d723f6cd8ff2f47c392cfe65c01e4330a49df9a02ad3cad97a299b1cdad346d09de45ec26ab

diff --git a/net-im/talk-desktop-bin/talk-desktop-bin-2.2.4.ebuild b/net-im/talk-desktop-bin/talk-desktop-bin-2.2.4.ebuild
new file mode 100644
index 000000000000..3b01cfef162f
--- /dev/null
+++ b/net-im/talk-desktop-bin/talk-desktop-bin-2.2.4.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHROMIUM_LANGS="
+	af am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he
+	hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr
+	sv sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+inherit chromium-2 desktop xdg
+
+DESCRIPTION="Nextcloud Talk Desktop client"
+HOMEPAGE="https://github.com/nextcloud-releases/talk-desktop"
+SRC_URI="
+	https://github.com/nextcloud-releases/talk-desktop/releases/download/v${PV}/Nextcloud.Talk-linux-x64.zip -> ${P}.zip
+	https://dev.gentoo.org/~nowa/talk-icon-rounded.svg -> ${PN}-icon.svg
+"
+S="${WORKDIR}/Nextcloud Talk-linux-x64"
+
+# Electron bundles a bunch of things
+LICENSE="
+	AGPL-3+ MIT BSD BSD-2 BSD-4 AFL-2.1 Apache-2.0 Ms-PL GPL-2 GPL-3 LGPL-2.1 APSL-2
+	unRAR OFL-1.1 CC-BY-SA-3.0 MPL-2.0 android public-domain all-rights-reserved
+"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RESTRICT="bindist mirror"
+
+BDEPEND="app-arch/unzip"
+RDEPEND="
+	dev-libs/expat
+	dev-libs/glib
+	dev-libs/nspr
+	dev-libs/nss
+	media-libs/alsa-lib
+	media-libs/mesa
+	media-video/ffmpeg
+	net-print/cups
+	sys-apps/dbus
+	sys-libs/glibc
+	x11-libs/cairo
+	x11-libs/gtk+:3
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/pango
+"
+
+QA_PREBUILT="opt/nextcloud-talk-desktop/*"
+
+pkg_pretend() {
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_prepare() {
+	default
+	# cleanup languages
+	pushd locales || die
+	chromium_remove_language_paks
+	popd || die
+}
+
+src_configure() {
+	chromium_suid_sandbox_check_kernel_config
+	default
+}
+
+src_install() {
+	newicon -s scalable "${DISTDIR}/${PN}-icon.svg" nextcloud-talk.svg
+
+	make_desktop_entry --eapi9 \
+		'/opt/bin/nextcloud-talk' \
+		-d 'nextcloud-talk' \
+		-n 'Nextcloud Talk' \
+		-i 'nextcloud-talk' \
+		-c 'Chat;Network;Office;'
+
+	local DESTDIR="/opt/nextcloud-talk-desktop"
+
+	exeinto "${DESTDIR}"
+	doexe chrome-sandbox *.so*
+	newexe 'Nextcloud Talk' nextcloud-talk
+
+	insinto "${DESTDIR}"
+	doins *.pak *.bin *.json *.dat
+	insopts -m0755
+	doins -r locales resources
+
+	# Chrome-sandbox requires the setuid bit to be specifically set.
+	# see https://github.com/electron/electron/issues/17972
+	fperms 4755 "${DESTDIR}"/chrome-sandbox
+
+	dosym "../../${DESTDIR}/nextcloud-talk" /opt/bin/nextcloud-talk
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.